function [Z]=GDBNSC_N(X,k,K,maxiter,alpha)
mu=1e-12;
[m,n]=size(X);
Hn=eye(n)-1/n*ones(n);
A=Hn+mu*pinv(K);
Q=Hn-Hn'*inv(A)*Hn;
clear  A 
Q1=(Q+abs(Q))/2;
Q2=(-Q+abs(Q))/2;
clear  Q
W=X'*X;
D=diag(sum(W));

Z=rand(n,k);
Y=rand(k,m);
for i=1:maxiter
    Z=(Z'.*(Y*X*D^(-0.5)+2*alpha*Z'*Q2)./(Y*Y'*Z'+2*alpha*Z'*Q1))';
    Y=(X*Z)';
end